#include<bits/stdc++.h>
using namespace std;

int main(){
	int n, x;
	cin >> n;
	cin >> x;

	vector <int> vecx;
	vector <int> vecy;
	vector <int> vecz;	
	vecx.push_back(x);
	x = vecx[0];
	
	for(int i = 1; i < n; i++){
		cin >> x;
		vecx.push_back(x);
	}
	
	int y;
	cin >> y;
	vecy.push_back(y);
	y = vecy[0];
	
	for(int j = 1; j < n; j++){
		cin >> y;
		vecy.push_back(y);
	}
	
	int z;
	cin >> z;
	vecz.push_back(z);
	z = vecz[0];
	
	for(int v = 1; v < n; v++){
		cin >> z;
		vecz.push_back(z);
	}
		int p = 0, p1 = 0, p2 = 0, p3 = 0;
		int i, s;
		x = vecx [i];
		y = vecy [s];
			
		
	for(int i = 0; i < n; i++){
		for(int s = 0; s < n ; s++){
				if(i < s)
					p = n - 1 - s;
				if(i == s)
					p1 = n - 1 - s;
				if(i > s)
					p2 = n - (n - s);
				if(s == n)
					p3 = 0;
			
		}
				
	}
	
	cout << 24;

	}